using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.Extensions.Logging;
using Props.Shop.Framework;
using Xunit;

namespace Props.Shop.Adafruit.Tests
{
    public class AdafruitShopTest
    {
        [Fact]
        public void TestSearch() {
            AdafruitShop mockAdafruitShop = new AdafruitShop();
            mockAdafruitShop.Initialize(null, LoggerFactory.Create(builder => {
                builder.AddXUnit();
            }));
            Assert.NotEmpty(mockAdafruitShop.Search("raspberry pi", new Filters()).ToEnumerable());
        }
    }
}