using System;
using System.Collections;
using System.Collections.Generic;
using System.Threading.Tasks;
using Props.Models.Search;
using Props.Shop.Framework;

namespace Props.Services.Modules
{
    public interface IShopManager : IDisposable
    {
        public IEnumerable<string> GetAllShopNames();
        public IShop GetShop(string name);
        public IEnumerable<IShop> GetAllShops();
    }
}